function chooseFilter(f_name_sig, f_name_BG, f_name_list, ...
    min_FWHM, max_FWHM)

data_sig = xlsread(f_name_sig);
data_BG = xlsread(f_name_BG);
[list_vals, list_text] = xlsread(f_name_list);

curr_best_filter(1) = 0;
curr_best_filter(2) = 0;
curr_best_filter(3) = 100000000;

for i = ceil(min(data_sig(:,1))):ceil(max(data_sig(:,1)))
    for j = min_FWHM:max_FWHM
        FWHM = j;
        centre_wl = i;
        
        data_sig_int = sum(data_sig(find(data_sig(:,1)>=centre_wl-FWHM/2 & ...
            data_sig(:,1)<=centre_wl+FWHM/2),2));
        data_BG_int = sum(data_BG(find(data_BG(:,1)>=centre_wl-FWHM/2 & ...
            data_BG(:,1)<=centre_wl+FWHM/2),2));
        
        residual = data_BG_int/data_sig_int;
        
        if centre_wl-FWHM/2 < min(data_sig(1,1), data_BG(1,1))
            residual = 100000;
            
        elseif centre_wl-FWHM/2 > max(data_sig(length(data_sig(:,1)),1), ...
                data_BG(length(data_BG(:,1)),1))
            residual = 100000;
            
        end
        
        if residual < curr_best_filter(3)
           curr_best_filter(1) = centre_wl;
           curr_best_filter(2) = FWHM;
           curr_best_filter(3) = residual;
        end
    end
    
end

list_text{size(list_text,1)+1,1} = 'Optimal';
list_vals(size(list_vals,1)+1,1) = curr_best_filter(1);
list_vals(size(list_vals,1),2) = curr_best_filter(2);

figure
hold on
rectangle('Position', [curr_best_filter(1)-curr_best_filter(2)/2,0,curr_best_filter(2),1], 'FaceColor', ...
    [0.6, 0.6, 0.6], 'EdgeColor', [0.6, 0.6, 0.6])
plot(data_sig(:,1), data_sig(:,2), 'b')
plot(data_BG(:,1), data_BG(:,2), 'r')

for i = 1:length(list_vals(:,1))
    centre_wl = list_vals(i,1);
    FWHM = list_vals(i,2);
    data_sig_int = sum(data_sig(find(data_sig(:,1)>=centre_wl-FWHM/2 & ...
        data_sig(:,1)<=centre_wl+FWHM/2),2));
    data_BG_int = sum(data_BG(find(data_BG(:,1)>=centre_wl-FWHM/2 & ...
        data_BG(:,1)<=centre_wl+FWHM/2),2));
    list_text{i+1, 4} = data_sig_int/data_BG_int;
    
end

list_text(2:size(list_text,1),2:3) = num2cell(list_vals);
list_text{1,4} = 'Ratio';
xlswrite('Results.xlsx', list_text);

disp(list_text)
