function measureTFSIntensity(filename, ext, n, BG_boo)

%Averaging the first 25% of frames to show which particles are stationary
av_im = mtiAverageImages(filename, ext, 1, ceil(n/4));

%Selecting particles using a GUI
mtiSelectParticles(filename, av_im);

%Loading the identified positions
positions = xlsread(strcat([filename, '_Start Positions.xls']));
intensity_table(1:n, 1:size(positions,1)) = 0;

%Going through each frame measuring pixel intensity
for i = 1:n
    curr_im = imread(loadSaveName(i, filename, ext, ''));
    for j = 1:size(positions,1)
        intensity_table(i,j) = mean(mean(curr_im(positions(j,2)-positions(j,4):positions(j,2)+positions(j,4),positions(j,3)-positions(j,4):positions(j,3)+positions(j,4))));
        
    end
end

%If BG_boo is 0, signal particles are being measured and if it's 1,
%background examples are measured
if BG_boo == 0
    xlswrite(strcat([filename, '_Intensity profiles.xls']), intensity_table);
else
    xlswrite(strcat([filename, '_BG Intensity profiles.xls']), intensity_table);
end