function [av_image] = mtiAverageImages(filename, ext, start_num, end_num)

if strcmpi(ext, 'asf') || strcmpi(ext, 'asx') || strcmpi(ext, 'avi') || ...
        strcmpi(ext, 'mj2') || strcmpi(ext, 'mpg') || strcmpi(ext, 'wmv')
    videoObj = VideoReader(strcat([filename, '.', ext]));
    
    if nargin == 2
        video_frames = read(videoObj);
        start_num = 1;
        end_num = videoObj.NumberOfFrames;
        
    else
        video_frames = read(videoObj, [start_num, end_num]);
        
    end
    
else
    video_frames(:,:,:,1) = imread(loadSaveName(start_num, filename, ext, ''));
    video_frames(:,:,:,2:(end_num-start_num-1)) = 0;
    
    for i = start_num+1:end_num
        video_frames(:,:,:,i) = imread(loadSaveName(i, filename, ext, ''));
        
    end
    
end

av_image(1:size(video_frames, 1), 1:size(video_frames,2),1) = 0; %Initialising

for i = 1:size(video_frames, 4)
    %av_image = av_image + double(rgb2gray(video_frames(:,:,:,i)));
    av_image = av_image + double((video_frames(:,:,:,i)));
end

av_image = uint8(av_image./size(video_frames, 4));

imwrite(av_image, strcat([filename, '_av_over_', num2str(start_num), '_',...
    num2str(end_num), '.tif']));