function [var_camera_data var_camera_data_int F_camera_data F_camera_data_int] = mdSimulateCamera(save_f_name, real_data, dt, kB, T, L_ext, t_shutter, fps, interlace_cnd)

var_camera_data_int = 0;
F_camera_data_int = 0;
halfwidth = ceil(t_shutter/dt); %Half the number of "real" timesteps the shutter is open
n_steps = ceil(1/(fps*dt)); %The number of "real" timesteps between open shutters

disp(strcat(['Save name: ', save_f_name]));
disp(strcat(['Shutter time = ', num2str(t_shutter), ' s']));
disp(strcat(['Frames per second = ', num2str(fps)]));
disp(strcat(['Number of simulated frames during shutter open = ', num2str(n_steps)]));

camera_data(1:floor(size(real_data,1)/n_steps)-1,1:2) = 0;
camera_data_int(1:floor(size(real_data,1)/n_steps)-1,1:2) = 0;

for i = 1:floor(size(real_data,1)/n_steps)-1
    camera_data(i,1) = i*(1/fps);
    camera_data(i,2) = mean(real_data(ceil(i*n_steps-(halfwidth/2)):ceil(i*n_steps+(halfwidth/2)),2));
    
    if interlace_cnd == 1 && i ~= 1
        camera_data_int(i,1) = i*(1/fps);
        camera_data_int(i,2) = mean([camera_data(i-1,2),camera_data(i,2)]); 
    end
end

var_camera_data = var(camera_data(:,2));
F_camera_data = (kB*T*L_ext)/var_camera_data;

disp(strcat(['Measured variance = ', num2str(var_camera_data), ' m']));
disp(strcat(['Measured force = ', num2str(F_camera_data*1E12), ' pN']));

if interlace_cnd == 1
    var_camera_data_int = var(camera_data_int(:,2));
    F_camera_data_int = (kB*T*L_ext)/var_camera_data_int;

    disp(strcat(['Measured variance (interlaced) = ', num2str(var_camera_data_int), ' m']));
    disp(strcat(['Measured force (interlaced) = ', num2str(F_camera_data_int*1E12), ' pN']));
end

disp(' ');