%Calculates the coordinates as would be viewed if the previously calculated
%planar coordinates were placed on curved surface and viewed front-on

function [dxc dyc dzc out_of_field_condition] = mcdCPCConversion(R, dx, dy, field_depth, out_of_field_condition)

dxc = dx;    %Initialising the two values incase the function 'returns' as it reaches the edge of the field
dyc = dy;
dzc = 0;

if R == 0  %For flat surfaces in the x-axis there is no transformation
    dxc = dx;
    dzc = 0;
    
else %If there is a radius of curvature, the following is used
    dxc = R*sin(dx/R);    %The correction in the x-axis (y-axis is unaffected as it runs along the cylinder
    dzc = (R - R*cos(dx/R)); %Calculating how far away from the closest E-coli surface the point currently is
    
    if sqrt(dzc^2) > field_depth;    %If the point is out of the evanescent field the condition is set to 1 and the m-file exits
        out_of_field_condition = 1;
        return
    end
end