function [accepted_cnd] = mcdComparePositions(local_accepted_table, x, y, theta, type, R_OmpF, R_OmpA, R_BtuB, range_x, range_y)

accepted_cnd = 1;

if x < -range_x/2 || x > range_x/2 || y < -range_y/2 || y > range_y/2
    accepted_cnd = 0;
end

for j = 1:size(local_accepted_table,1)
    if accepted_cnd == 1
        
        %% The current protein is an OmpF
        %OmpF and OmpF
        if type == 1 && local_accepted_table(j,4) == 1 %The protein to test against is an OmpF
            if accepted_cnd ~= 0
                [accepted_cnd] = mcdCompareTriTri(x, y, theta, local_accepted_table(j,1), local_accepted_table(j,2), local_accepted_table(j,3), R_OmpF);
                
            end
            
        end
        
        %OmpF and OmpA
        if type == 1 && local_accepted_table(j,4) == 2 %The protein to test against is an OmpA
            if accepted_cnd ~= 0
                [accepted_cnd] = mcdCompareTriMono(x, y, theta, R_OmpF, local_accepted_table(j,1), local_accepted_table(j,2), R_OmpA);
                
            end
        end
        
        %OmpF and BtuB
        if type == 1 && local_accepted_table(j,4) == 3 %The protein to test against is an BtuB
            if accepted_cnd ~= 0
                [accepted_cnd] = mcdCompareTriMono(x, y, theta, R_OmpF, local_accepted_table(j,1), local_accepted_table(j,2), R_BtuB);
                
            end
        end
        
        %% The current protein is an OmpA
        %OmpA and OmpF
        if type == 2 && local_accepted_table(j,4) == 1 %The protein to test against is an OmpF
            if accepted_cnd ~= 0
                [accepted_cnd] = mcdCompareTriMono(local_accepted_table(j,1), local_accepted_table(j,2), local_accepted_table(j,3), R_OmpF, x, y, R_OmpA);
                
            end
        end
        
        %OmpA and OmpA
        if type == 2 && local_accepted_table(j,4) == 2 %The protein to test against is an OmpA
            if accepted_cnd ~= 0
                if sqrt((local_accepted_table(j,1)-x)^2+(local_accepted_table(j,2)-y)^2) < 2*R_OmpA
                    accepted_cnd = 0;
                end
                
            end
        end
        
        %OmpA and BtuB
        if type == 2 && local_accepted_table(j,4) == 3 %The protein to test against is BtuB
            if accepted_cnd ~= 0
                if sqrt((local_accepted_table(j,1)-x)^2+(local_accepted_table(j,2)-y)^2) < R_BtuB+R_OmpA
                    accepted_cnd = 0;
                end
                
            end
        end
        
        %% The current protein is a BtuB
        %BtuB and OmpF
        if type == 3 && local_accepted_table(j,4) == 1 %The protein to test against is OmpF
            if accepted_cnd ~= 0
                separation = sqrt((x-local_accepted_table(j,1)).^2+(y-local_accepted_table(j,2)).^2);
                if isnan(separation) == 0
                    if mcdMinOmpFDist(local_accepted_table(j,1), x, local_accepted_table(j,2), y, local_accepted_table(j,3), R_OmpF, R_BtuB) > separation
                        accepted_cnd = 0;
                        
                    end
                    
                end
            end
        end
        
        %BtuB and OmpA
        if type == 3 && local_accepted_table(j,4) == 2 %The protein to test against is OmpA
            if accepted_cnd ~= 0
                if sqrt((local_accepted_table(j,1)-x)^2+(local_accepted_table(j,2)-y)^2) < R_BtuB+R_OmpA
                    accepted_cnd = 0;
                end
                
            end
        end
        
        %BtuB and BtuB
        if type == 3 && local_accepted_table(j,4) == 3 %The protein to test against is BtuB
            if accepted_cnd ~= 0
                if sqrt((local_accepted_table(j,1)-x)^2+(local_accepted_table(j,2)-y)^2) < 2*R_BtuB
                    accepted_cnd = 0;
                end
                
            end
        end
        
    end
end