%This generates new dx and dy coordinates using the equation
%"sqrt(2*D*dt_S)", where dt_s is the time step.  In this method, the step
%size is always constant, but the angle between steps is randomised.  This
%is done by generating a random angle for the vector

function [dx dy] = mcdConstStepDiff(D,dt_s, dx0, dy0)

dl = sqrt(4*D*dt_s);    %The net displacement is always the same
angle_rads = 2*pi*rand;  %The angle of the vector dl

dx = dl*cos(angle_rads) + dx0;
dy = dl*sin(angle_rads) + dy0;