%This maps the planar coordinates onto the hemispherical capped ends of the
%bacteria

function [dxc dyc dzc out_of_field_condition] = mcdHemisphereConversion(dx, dy, R, out_of_field_condition, field_depth)

dxc = R*(cos(dy/R))*(sin(dx/R)); %Transformations in the x-axis are performed around the bacteria, so they follow an equidistant line from the bacteria's line of rotational symmetry

dyc = R*sin(dy/R); %Transformations in the y-axis are performed so they intersect the line bacteria's line of rotational symmetry at either end of the bacteria

dzc = R-((sqrt((R^2)-(dyc^2)))*cos(dx/R)); %The z-coordinate is calculated once the x and y values are known

if sqrt(dzc^2) > field_depth;    %If the point is out of the evanescent field the condition is set to 1 and the m-file exits
    out_of_field_condition = 1;
    return
end