function mcdMeshBug(L, R, mesh_density)

%Spherical capped end mesh
[x_sphere, z_sphere, y_sphere] = sphere(mesh_density);

x_sphere = x_sphere*R;
y_sphere = y_sphere*R;
z_sphere = z_sphere*R;

cap_mesh_x = x_sphere(1:ceil(mesh_density/2)+1,:);
cap_mesh_y = y_sphere(1:ceil(mesh_density/2)+1,:);
cap_mesh_z = z_sphere(1:ceil(mesh_density/2)+1,:)+R;

%Cylindrical mesh
[x_cylinder, z_cylinder] = cylinder(R, mesh_density);

y_cylinder(1:4*mesh_density+1,1) = -L/2:L/(4*mesh_density):L/2;

cylinder_mesh_x = repmat(x_cylinder(1,:),4*mesh_density+1,1);
cylinder_mesh_y = repmat(y_cylinder(:,1),1,mesh_density+1);
cylinder_mesh_z = repmat(z_cylinder(1,:),4*mesh_density+1,1)+R;

figure()
hold on
mesh(cap_mesh_x, cap_mesh_y-L/2, cap_mesh_z)
mesh(cap_mesh_x, -cap_mesh_y+L/2, cap_mesh_z)
mesh(cylinder_mesh_x, cylinder_mesh_y, cylinder_mesh_z)

daspect([1 1 1])
set(gcf, 'Colormap', [0.8 0.8 0.8])
screen_size = get(0, 'ScreenSize');
width = 960;
height = 720;
set(gcf, 'Position', [(screen_size(3)/2-width/2) ...
    (screen_size(4)/2-height/2) width ...
    height]);
set(gca, 'CameraPosition', [-15 -15 15])
hold on
alpha(.6)
