function [current_box] = mcdMeshFind(dx, dy, box_size)
%Initialising cnds for when the current mesh square has been located
box_found_cnd = 0;
current_box_number = 0;

%This script finds the coordinates of the mesh square in which the particle
%currently resides.

%The magnitudes of dx and dy need to be taken, so their signs are stored,
%so they can be reapplied after locating the current mesh square

if dy < 0; %mesh_y_origin
    dy_sign = -1;
else
    dy_sign = 1;
end

if dx < 0;%mesh_x_origin
    dx_sign = -1;
else
    dx_sign = 1;
end

dx = abs(dx);
dy = abs(dy);

%Finding the current mesh square x-coordinate
while box_found_cnd == 0
    if dx >= box_size/2 %If the particle is outside the initial box a box width is removed, so the next box along can be tested
        dx = dx - box_size;
        current_box_number = current_box_number + 1; %Each time the vector to the particle is determined to be greater than another box width away, this counter increases by one.  This gives the coordinate of the current box
        
    else %If the particle lies within the current box its coordinate is stored in "current_box" and the sign (positive or negative) is restored
        box_found_cnd = 1;
        current_box(1,1) = current_box_number*dx_sign;
    end
end

%This section is the same as above, but for the y-axis
box_found_cnd = 0;
current_box_number = 0;

while box_found_cnd == 0
    if dy >= box_size/2
        dy = dy - box_size;
        current_box_number = current_box_number + 1;
        
    else
        box_found_cnd = 1;
        current_box(1,2) = current_box_number*dy_sign;
    end
end
