function mcdPlotDiffusion(boundary_pass_time, boundary_pass_i, output_table, R, dt_s_table_i)
hold on

%This section is responsible for plotting the path of the diffusing
%particles when "plot_cnd" is set to "1".  For each diffusing
%particle, a different colour is generated.  The same occurs if a
%particle moves to an adjacent box, but movement to adjacent boxes has
%been effectively disabled by choice of critical_angle ~ 0
boundary_pass_time(boundary_pass_i) = dt_s_table_i - 1; %Setting the step at which a particle crossed to an adjacent restricting box

output_table = output_table*1E6;

boundary_passes = size(boundary_pass_time);

for current_i=  1:boundary_passes(1,2)-1
    
    line_colour = [rand(1,1) rand(1,1) rand(1,1)]; %Randomly generates a new colour for each diffusing particle

    x = output_table(boundary_pass_time(current_i):boundary_pass_time(current_i+1),1);
    y = output_table(boundary_pass_time(current_i):boundary_pass_time(current_i+1),2);
    z = output_table(boundary_pass_time(current_i):boundary_pass_time(current_i+1),3);
    
    if R ==0 % For planar diffusion, where there is no "z" axis
        plot(x,y,  'Color', line_colour)
        xlabel('X')
        ylabel('Y')
        %axis('equal')
        hold off
        drawnow
        
    else %For 3D diffusion
        plot3(x,y,z,  'Color', line_colour)
        %axis('equal')
        xlabel('X')
        ylabel('Y')
        zlabel('Z')
        hold off
        
    end
end

drawnow