%This generates random starting coordinates for the particles on the
%baceria surface within the TIRFM field

function [dx dy x_max y_max] = mcdRandomStart(R, field_depth, L)
%x-direction
if field_depth < 2*R %Setting the maximum range the starting position can be in
    x_max = (R*acos((R-field_depth)/R));    %the factor of 0.9 prevents the particle stepping out of the field at the first step
else %If the TIRFM field depth is greater than the diameter of the bacteria the particles can start anywhere on its surface
    x_max = pi*R;
end

if R == 0   %For calculating on a plane, start at the origin as it makes no difference to the result
    x_max = 0;
end

dx = x_max*rand*mcdSignGeneration;

%y-direction - repeating the above in the y-direction
if field_depth < 2*R    %Setting the maximum range the starting position can be in
    y_max = ((L/2) + (R*acos((R-field_depth)/R)));    %the factor of 0.9 prevents the particle stepping out of the field at the first step
else %If the TIRFM field depth is greater than the diameter of the bacteria the particles can start anywhere on its surface
    y_max = L/2 + pi*R/2;
end

if R == 0   %For calculating on a plane, start at the origin as it makes no difference to the result
    y_max = 0;
end

dy = y_max*rand*mcdSignGeneration;