function mcdStoreMonteCarloData(filename, i, dt_s, total_time_s, msd_average_table, n_table, M_table, temp_cnd)

%If temp_cnd is 1, a temporary file is created.  This has data up to the
%current time point.  If temp_cnd is 0, the final table is saved.
if temp_cnd == 1
    try
        if exist(strcat([filename, '_temp_table_', num2str(i), '.csv'])) == 2
            delete(strcat([filename, '_temp_table_', num2str(i), '.csv']));
        end
        dlmwrite(strcat([filename, '_temp_table_', num2str(i), '.csv']), [transpose(0:dt_s:total_time_s), msd_average_table]);
    catch
        disp ('Can''t write to temp_table file.  Is it open?')
    end
    
    try
        if exist(strcat([filename, '_var_table_', num2str(i), '.csv'])) == 2
            delete(strcat([filename, '_var_table_', num2str(i), '.csv']));
        end
        dlmwrite(strcat([filename, '_var_table_', num2str(i), '.csv']), M_table./n_table);
    catch
        disp ('Can''t write to var_table file.  Is it open?')
    end
    
else
    try
        if exist(strcat([filename, '_msd_average_table.csv'])) == 2
            delete(strcat([filename, '_msd_average_table.csv']));
        end
        dlmwrite(strcat([filename, '_msd_average_table.csv']), [transpose(0:dt_s:total_time_s), msd_average_table]);
    catch
        disp ('Can''t write to msd_average_table file.  Is it open?')
    end
    
    try
        if exist(strcat([filename, '_var_table.csv'])) == 2
            delete(strcat([filename, '_var_table.csv']));
        end
        dlmwrite(strcat([filename, '_var_table.csv']), M_table./n_table);
    catch
        disp ('Can''t write to var_table file.  Is it open?')
    end
end