function mtSequenceAnalysis(output_filename)

[video_names, mag_bead_sep, ~] = textread('Video_list.txt',...
    '%s %f %f', 'whitespace', '\t');

%Measuring the initial location
filename = char(video_names(1));
dot_loc = strfind(filename, '.');
root_filename = filename(1:dot_loc(length(dot_loc))-1);
analysed_data = xlsread(strcat([root_filename, '_Analysis.xls']));
load(strcat(root_filename, '_Parameters.mat'));

gen_data{2,1} = mag_bead_sep(1);
force_data{2,1} = mag_bead_sep(1);
ext_data{2,1} = mag_bead_sep(1);

for j = 1:size(analysed_data,1)
    gen_data{2,j*6-4} = analysed_data(j,1);%Current y-position
    gen_data{2,j*6-3} = analysed_data(j,2);%Current x-position
    gen_data{2,j*6-2} = analysed_data(j,4);%Current y-displacement (px)
    gen_data{2,j*6-1} = analysed_data(j,5);%Current x-displacement (px)
    gen_data{2,j*6} = analysed_data(j,6);%Current y-displacement (nm)
    gen_data{2,j*6+1} = analysed_data(j,7);%Current x-displacement (nm)
    force_data{2,j*2} = analysed_data(j,8); %Current force (pN)
    force_data{2,j*2+1} = analysed_data(j,9); %Current force (pN)
    ext_data{2,j*4-2} = 0; %Current y-extension (px)
    ext_data{2,j*4-1} = 0; %Current x-posititon (px)
    ext_data{2,j*4} = ext_data{2,j*4-2}*pixel_distance; %Current x-extension (nm)
    ext_data{2,j*4+1} = ext_data{2,j*4-1}*pixel_distance; %Current x-extension (nm)
end

for i = 2:length(video_names)
    
    filename = char(video_names(i));
    dot_loc = strfind(filename, '.');
    root_filename = filename(1:dot_loc(length(dot_loc))-1);
    analysed_data = xlsread(strcat([root_filename, '_Analysis.xls']));
    
    gen_data{i+1,1} = mag_bead_sep(i);
    force_data{i+1,1} = mag_bead_sep(i);
    ext_data{i+1,1} = mag_bead_sep(i);
    
    for j = 1:size(analysed_data,1)
        gen_data{i+1,j*6-4} = analysed_data(j,1);%Current y-position
        gen_data{i+1,j*6-3} = analysed_data(j,2);%Current x-position
        gen_data{i+1,j*6-2} = analysed_data(j,4);%Current y-displacement (px)
        gen_data{i+1,j*6-1} = analysed_data(j,5);%Current x-displacement (px)
        gen_data{i+1,j*6} = analysed_data(j,6);%Current y-displacement (nm)
        gen_data{i+1,j*6+1} = analysed_data(j,7);%Current x-displacement (nm)
        force_data{i+1,j*2} = analysed_data(j,8); %Current force (pN)
        force_data{i+1,j*2+1} = analysed_data(j,9); %Current force (pN)
        ext_data{i+1,j*4-2} = gen_data{i+1,j*6-4}-gen_data{2,j*6-4}; %Current y-extension (px)
        ext_data{i+1,j*4-1} = gen_data{i+1,j*6-3}-gen_data{2,j*6-3}; %Current x-posititon (px)
        ext_data{i+1,j*4} = ext_data{i+1,j*4-2}*pixel_distance; %Current x-extension (nm)
        ext_data{i+1,j*4+1} = ext_data{i+1,j*4-1}*pixel_distance; %Current x-extension (nm)
        
    end
    
end

gen_data{1,1} = 'Magnet-bead separation (mm)';
force_data{1,1} = 'Magnet-bead separation (mm)';
ext_data{1,1} = 'Magnet-bead separation (mm)';

for i = 1:size(analysed_data,1)
    gen_data{1,i*6-4} = 'y position (px)';
    gen_data{1,i*6-3} = 'x position (px)';
    gen_data{1,i*6-2} = 'y displacement (px)';
    gen_data{1,i*6-1} = 'x displacement (px)';
    gen_data{1,i*6} = 'y displacement (nm)';
    gen_data{1,i*6+1} = 'x displacement (nm)';
    force_data{1,i*2} = 'y force (pN)';
    force_data{1,i*2+1} = 'x force (pN)';
    ext_data{1,i*4-2} = 'y extension (px)';
    ext_data{1,i*4-1} = 'x extension (px)';
    ext_data{1,i*4} = 'y extension (nm)';
    ext_data{1,i*4+1} = 'x extension (nm)';
    
end

xlswrite(strcat([output_filename, '.xls']), gen_data, 1);
xlswrite(strcat([output_filename, '.xls']), force_data, 2);
xlswrite(strcat([output_filename, '.xls']), ext_data, 3);
