function [xc, w, A, y0] = psdGaussFit(raw_data, root_filename, i)
%Iinitial parameters
screen_dimensions = get(0,'Screensize');

%Setting initial guesses
p(1) = mean(raw_data(:,1));
p(2) = mean(raw_data(:,1));
p(3) = max(raw_data(:,2));
p(4) = 0;

%Fitting the Gaussian
[p, residual] =  psdFitFRETGauss(raw_data(:,1), raw_data(:,2), p);

% Displaying and saving the best fit
xc = p(1);
w = p(2);
A = p(3);
y0 = p(4);

gaussian_table(1:length(raw_data(:,1))) = (y0 + (A/(w*sqrt(pi/2)))*exp...
    (-2*((raw_data(1:length(raw_data(:,1)),1)-xc)/w).^2));

for j = 1:length(raw_data(:,1))
    residual_table(j) = (gaussian_table(j)-raw_data(j,2)).^2;
end

% Plotting curves
curr_fig = figure();
bar(raw_data(:,1), raw_data(:,2), 'FaceColor', [0.5 0.5 0.5])
hold on
plot(raw_data(:,1), gaussian_table, 'r', 'LineWidth' ,2)
x_lim = get(gca, 'XLim');
y_lim = get(gca, 'YLim');
set(gca, 'YLim', y_lim+[0 (y_lim(2)-y_lim(1))*0.1]);
plot(raw_data(:,1), gaussian_table(1,:),'r', 'LineWidth' ,2);
text(x_lim(1)+(x_lim(2)-x_lim(1))*0.05,y_lim(2)-(y_lim(2)-y_lim(1))*0.05...
    , strcat(['xc = ', num2str(p(1)), ', w = ', num2str(p(2)), ', A = ',...
    num2str(p(3)), ', y0 = ', num2str(p(4))]))

%Saving the plot
print('-dtiff', '-r200', strcat([root_filename, ' ', num2str(i), ...
    '_gaussian.jpg']));
pause(1);
close(curr_fig);

clear new_p peak_list gaussian_table individual_gaussian_table ...
    new_gaussian_table residual_table

end