function [mean_pro_data] = psdMeasureRadialProfile(raw_data, peak_table, n_lines, n_points, root_filename)

pro_data(1:n_points,1:size(peak_table,1)) = 0;
mean_pro_data(1:n_points, 1:2*size(peak_table,1)) = 0;

pro_fig = figure;
imshow(raw_data);
drawnow
hold on
curr_axes = gca;

for i = 1:size(peak_table,1)
    plot(peak_table(i,3), peak_table(i,2),'r.');
end

for i = 1:size(peak_table,1)
    curr_ellipse = imellipse(curr_axes, [peak_table(i,3)-peak_table(i,4) peak_table(i,2)-peak_table(i,4) peak_table(i,4)*2 peak_table(i,4)*2]);
    curr_ellipse.setResizable(0);
    curr_ellipse.setColor([1 0 0]);
    drawnow
    
    for j = 1:n_lines
        pro_data(:,i) = pro_data(:,i) + improfile(raw_data, [peak_table(i,3), peak_table(i,3)+peak_table(i,4)*sind(360*j/n_lines)], [peak_table(i,2), peak_table(i,2)+peak_table(i,4)*cosd(360*j/n_lines)],n_points);
    end
      
    mean_pro_data(:,2*i-1) = 0:peak_table(i,4)/n_points:peak_table(i,4)-peak_table(i,4)/n_points;
    mean_pro_data(:,2*i) = mean(pro_data(:,i)/n_lines,2);
    
end

try
    if exist(strcat(root_filename, '_Mean_profiles.xls')) == 2
        delete(strcat(root_filename, '_Mean_profiles.xls'))
    end
    
    xlswrite(strcat([root_filename, '_Mean_profiles.xls']), mean_pro_data)
catch
    warndlg(lasterr)
end

close(pro_fig);