function [residual] = psdMultiOriginGaussEquation(input_data, bins_table, p)

for k = 1:size(input_data,2)
    gaussian_table(1:numel(bins_table)) = 0;
    FRET_hist = input_data(:,k);
    
    for i = 1:size(p,1);
        xc = p(i,1);
        w = p(i,2);
        A = p(i,3);
        y0 = p(i,4);
        
        new_gaussian_table(1:length(bins_table)) = (y0 + (A/(w*sqrt(pi/2)))*exp(-2*((bins_table(1:length(bins_table))-xc)/w).^2));
        gaussian_table = gaussian_table + new_gaussian_table;
    end
    
    for j = 1:length(bins_table)
        residual_table(k,j) = (gaussian_table(j)-FRET_hist(j)).^2;
    end  
end

if size(input_data,2) > 1
    residual_table = sum(residual_table);
end

%This removes any elements, which are NaN due to the value being missing
%from FRET_hist, because it was manually removed (anomalous result)
residual_table(isnan(residual_table)) = [];
residual = sum(residual_table);
